# Module: `awful.hotkeys_popup`

Popup widget which shows current hotkeys and their descriptions.

### Info:

- Copyright: 2014-2015 Yauheni Kirylau
- Originally authored by: Yauheni Kirylau <yawghen@gmail.com>
  (Full contributors list available on our github project)

## Static module functions

awful.hotkeys_popup.show_help (c, s) | This is the same as awful.hotkeys_popup.widget.show_help. |

## lib.awful.hotkeys_popup.keys.tmux Functions

awful.hotkeys_popup.add_rules_for_terminal (rule) | Add rules to match tmux session. |

## Static module functions

🔗 awful.hotkeys_popup.show_help (c, s)
  This is the same as awful.hotkeys_popup.widget.show_help.

  example usage:

  local hotkeys_popup = require("awful.hotkeys_popup") myawesomemenu = {{ "hotkeys", function() hotkeys_popup.show_help() end }, -- }

  see awful.hotkeys_popup.widget.show_help for more information

  ### Parameters:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  c | Optional | client | The hostkeys for the client "c".
  s | Optional | screen | The screen.

  ### See also:

  awful.hotkeys_popup.widget.show_help | Show popup with hotkeys help. (awful.hotkeys_popup.widget) | object methods

## lib.awful.hotkeys_popup.keys.tmux Functions

🔗 awful.hotkeys_popup.add_rules_for_terminal (rule)
  Add rules to match tmux session.

  For example:

  tmux.add_rules_for_terminal({ rule = { name = { "tmux" }}})

  will show tmux hotkeys for any window that has 'tmux' in its title. If no rules are provided then tmux hotkeys will be shown always!

  ### Parameters:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  rule |  | table | Rules to match a window containing a tmux session.

  ### See also:

  ruled.client.rules | The default ruled.client source. (ruled.client) | rule sources

generated by LDoc 1.5.0